Package com.smartgwt.client.util.workflow

# Class EnableDisableTask

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.util.workflow.ProcessElement
com.smartgwt.client.util.workflow.Task
com.smartgwt.client.util.workflow.ComponentTask
com.smartgwt.client.util.workflow.EnableDisableTask

All Implemented Interfaces:
  `HasHandlers`

public class EnableDisableTask extends ComponentTask
Enable or disable a button, tab or form field.

For a button the `componentId` specifies everything necessary to identify the target.

For a tab or form control more information is needed. The `componentId` identifies the container (i.e. TabSet or DynamicForm) and the individual component is specified as:

- Tab - `targetTabName` references the `Tab.name`.
- FormItem - `targetFieldName` for `FormItem.name`.

See Also:
  - `Canvas.setDisabled(boolean)`
  - `TabSet.disableTab(int)`
  - `TabSet.enableTab(int)`
  - `FormItem.setDisabled(java.lang.Boolean)`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnableDisableTask()`
  `EnableDisableTask(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `Boolean`
  `getDisable()`
  Should the target be disabled?
  `static EnableDisableTask`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getTargetFieldName()`
  Field to enable/disable.
  `String`
  `getTargetTabName()`
  If `componentId` targets a TabSet, this property specifies the name or ID of the target tab to assign new title.
  `EnableDisableTask`
  `setDisable(Boolean disable)`
  Should the target be disabled?
  `EnableDisableTask`
  `setTargetFieldName(String targetFieldName)`
  Field to enable/disable.
  `EnableDisableTask`
  `setTargetTabName(String targetTabName)`
  If `componentId` targets a TabSet, this property specifies the name or ID of the target tab to assign new title.

  ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

  `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, getTargetBaseClass, getTargetBaseClassAsStringArray, getTargetComponent, getTargetComponent, getUnsupportedComponentMessage, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource, setTargetBaseClass, setTargetBaseClass, setUnsupportedComponentMessage`

  ### Methods inherited from class com.smartgwt.client.util.workflow.Task

  `getExpressionValue, getInputFieldList, getInputRecord, getInputs, getInputsAsString, getInputsAsStringArray, getOutputExpression, getOutputField, getOutputFieldList, getState, getStrictPaths, setInputFieldList, setInputs, setInputs, setInputs, setOutput, setOutputExpression, setOutputField, setOutputFieldList, setState, setStrictPaths`

  ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

  `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getCurrentProcess, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInstanceDescription, getInstanceTitle, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setCurrentProcess, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EnableDisableTask

    public EnableDisableTask()

  - ### EnableDisableTask

    public EnableDisableTask(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static EnableDisableTask getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `ComponentTask`

  - ### setDisable

    public EnableDisableTask setDisable(Boolean disable) throws IllegalStateException
    Should the target be disabled?
    Parameters:
      `disable` - New disable value. Default value is null
    Returns:
      `EnableDisableTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getDisable

    public Boolean getDisable()
    Should the target be disabled?
    Returns:
      Current disable value. Default value is null

  - ### setTargetFieldName

    public EnableDisableTask setTargetFieldName(String targetFieldName) throws IllegalStateException
    Field to enable/disable.
    Parameters:
      `targetFieldName` - New targetFieldName value. Default value is null
    Returns:
      `EnableDisableTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `FieldName`

  - ### getTargetFieldName

    public String getTargetFieldName()
    Field to enable/disable.
    Returns:
      Current targetFieldName value. Default value is null
    See Also:
      - `FieldName`

  - ### setTargetTabName

    public EnableDisableTask setTargetTabName(String targetTabName) throws IllegalStateException
    If `componentId` targets a TabSet, this property specifies the name or ID of the target tab to assign new title.
    Parameters:
      `targetTabName` - New targetTabName value. Default value is null
    Returns:
      `EnableDisableTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `TabName`

  - ### getTargetTabName

    public String getTargetTabName()
    If `componentId` targets a TabSet, this property specifies the name or ID of the target tab to assign new title.
    Returns:
      Current targetTabName value. Default value is null
    See Also:
      - `TabName`